/***************************************************************************
**
**  This file is part of geopsyrefra.
**
**  geopsyrefra is free software: you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation, either version 3 of the License, or
**  (at your option) any later version.
**
**  geopsyrefra is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with Foobar.  If not, see <http://www.gnu.org/licenses/>
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2005-11-14
**  Copyright: 2005-2019
**    Marc Wathelet
**    Marc Wathelet (LGIT, Grenoble, France)
**
***************************************************************************/

#include "RefraPlugin.h"
#include "ToolRefra.h"

#include "geopsyrefraInstallPath.h"
#include "geopsyrefraVersion.h"
#include "GeopsyCoreVersion.h"

const char * RefraPlugin::interfaceVersion() const
{
  return GEOPSYCORE_VERSION;
}

void RefraPlugin::createToolActions(QObject * toolFactory)
{
  TRACE;
  QAction * a;

  a=new QAction(toolFactory);
  a->setText(tr("Refraction with NA"));
  a->setIcon(QIcon(":refra-22x22.png"));
  connect(a, SIGNAL(triggered()), toolFactory, SLOT(showTool()) );
  addAction(a);
}

AbstractToolWidget * RefraPlugin::createTool(int id, QWidget * wsParent) const
{
  TRACE;
  switch (id) {
  case 0:
    return new ToolRefra(wsParent);
  default:
    return 0;
  }
}

PACKAGE_INFO("geopsyrefra", GEOPSYREFRA)
#if(QT_VERSION < QT_VERSION_CHECK(5, 0, 0))
Q_EXPORT_PLUGIN2(geopsyrefra, RefraPlugin)
#endif
